> ## Documentation Index
> Fetch the complete documentation index at: https://telnesstech-a0a16404.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel payment profile session

> Cancel an active payment profile session, preventing further setup attempts.



## OpenAPI

````yaml /api-reference/bundled_openapi.json post /payment-profiles/sessions/{paymentProfileSessionId}/cancel
openapi: 3.1.0
info:
  title: Telness Tech Connect
  version: 2.0.0-alpha
  description: >
    Telness Tech Connect API provides all you need to own your user's
    connectivity experience.


    Go back to [Telnesstech.com](https://telnesstech.com)
servers:
  - url: https://apiv2.example.com
    description: Connect API URL for your domain
security:
  - apiKey: []
  - bearerAuth: []
    apiKey: []
tags:
  - name: Auth
    description: Authenticate users and obtain access tokens.
  - name: Users
    description: Manage users.
  - name: Customers
    description: Manage customers.
  - name: Subscriptions
    description: Manage subscriptions and subscription.
  - name: Subscription Addons
    description: Manage subscription addons.
  - name: Subscription Usage
    description: Get subscription usage.
  - name: Subscribers
    description: Manage subscribers.
  - name: Licenses
    description: Manage licenses.
  - name: Product Offerings
    description: Browse product offerings.
  - name: Product Catalogs
    description: Browse product catalogs.
  - name: Product Discounts
    description: Discounts and promotions.
  - name: Orders
    description: Manage orders and line items.
  - name: Payment Intents
    description: >-
      Inspect payment intents, the money collected over card rails for orders
      and renewals.
  - name: Payment Links
    description: Create and manage payment links for orders and invoices.
  - name: Payment Sessions
    description: Create and manage payment sessions for orders.
  - name: Payment Profiles
    description: Manage customer payment profiles and methods.
  - name: Payment Profile Sessions
    description: Create sessions for setting up payment profiles.
  - name: Signing sessions
    description: Handle contract signing sessions for postpaid orders.
  - name: Porting
    description: Manage number porting for subscriptions.
  - name: Taxes
    description: Calculate taxes for products and line items.
  - name: Invoices
    description: Manage invoices and invoice items.
  - name: Tools
    description: >-
      Tools for address validation, number porting, device info, and network
      coverage.
  - name: Inventory
    description: Manage phone number inventory, SIM cards, and reservations.
  - name: Workflows
    description: Dynamic processing of customer journeys and events.
paths:
  /payment-profiles/sessions/{paymentProfileSessionId}/cancel:
    post:
      tags:
        - Payment Profile Sessions
      summary: Cancel payment profile session
      description: >-
        Cancel an active payment profile session, preventing further setup
        attempts.
      operationId: cancelPaymentProfileSession
      parameters:
        - name: paymentProfileSessionId
          in: path
          required: true
          schema:
            type: string
          description: The unique identifier of the payment profile session to cancel.
          example: c5d6e7f8-a9b0-1234-5678-345678901234
        - $ref: '#/components/parameters/IdempotencyKey'
      requestBody:
        required: false
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CancelPaymentProfileSessionRequest'
      responses:
        '200':
          description: Payment profile session cancelled successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaymentProfileSession'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
        '409':
          $ref: '#/components/responses/Conflict'
        '500':
          $ref: '#/components/responses/InternalServerError'
components:
  parameters:
    IdempotencyKey:
      in: header
      name: X-Idempotency-Key
      required: false
      description: >
        A unique key to ensure idempotency of requests. If a request with the
        same key has already been processed, the same result will be returned.

        The key must be unique for each distinct operation. Keys are expired
        after 24 hours, but we recommend using a new key for each request.


        Modified requests with the same idempotency keys are rejected with a
        `409 Conflict` status code.
      schema:
        type: string
        maxLength: 256
  schemas:
    CancelPaymentProfileSessionRequest:
      type: object
      description: Request to cancel an active payment profile session.
      additionalProperties: false
      properties:
        reason:
          type: string
          description: Optional reason for cancelling the payment profile session.
          example: Customer decided not to save payment method
        metadata:
          type: object
          additionalProperties:
            type: string
          description: Custom key-value pairs for additional cancellation information.
          example:
            cancelled_by: customer_service
            ticket_id: SUPP-12345
    PaymentProfileSession:
      type: object
      description: >-
        A payment profile session that wraps the process of setting up and
        saving a payment method for future use.
      required:
        - paymentProfileSessionId
        - orderId
        - paymentProvider
        - status
        - hostedUrl
        - metadata
        - createdAt
        - updatedAt
      additionalProperties: false
      properties:
        paymentProfileSessionId:
          type: string
          description: The unique identifier for this payment profile session.
          example: 69321a62-f1fe-461f-8761-a19ae6587bb2
        orderId:
          type: string
          description: >-
            The unique identifier of the order this payment profile session is
            associated with.
          example: 44567801-a504-4f09-8089-31ea78bc239b
        paymentProvider:
          $ref: '#/components/schemas/PaymentProvider'
        status:
          $ref: '#/components/schemas/PaymentProfileSessionStatus'
        hostedUrl:
          type: string
          format: uri
          description: >-
            The hosted page to redirect the customer to in order to save their
            payment method.
          example: >-
            https://payments.example.com/setup/69321a62-f1fe-461f-8761-a19ae6587bb2
        metadata:
          type: object
          additionalProperties:
            type: string
          description: >-
            Custom key-value pairs for additional payment profile session
            information.
          example:
            source: mobile_app
            campaign: summer_2024
        createdAt:
          type: string
          format: date-time
          description: When this payment profile session was created.
          example: '2024-09-29T10:00:00Z'
        updatedAt:
          type: string
          format: date-time
          description: When this payment profile session was last updated.
          example: '2024-09-29T10:30:00Z'
    PaymentProvider:
      type: string
      description: Payment service provider that processes the transaction.
      enum:
        - STRIPE
        - BILLOGRAM
      example: STRIPE
    PaymentProfileSessionStatus:
      type: string
      description: Current status of a payment profile session lifecycle.
      enum:
        - PENDING
        - REQUIRES_ACTION
        - COMPLETED
        - FAILED
        - CANCELED
      example: PENDING
    Error:
      type: object
      required:
        - message
        - code
      properties:
        message:
          type: string
          description: A human-readable message providing more details about the error.
        code:
          type: string
          description: A machine-readable code for the error.
        details:
          type: array
          description: Additional details about the error.
          items:
            type: object
            required:
              - message
              - code
            properties:
              message:
                type: string
                description: >-
                  A human-readable message providing more details about the
                  error.
              code:
                type: string
                description: A machine-readable code for the specific detail.
              property:
                type: string
                description: The property or field related to the error.
              suggestion:
                $ref: '#/components/schemas/Any'
                description: >
                  A suggested value for the particular property.


                  For example, this may be set when validating an address with
                  an alias, suggesting the expected value by the operator.
        hint:
          type: string
          description: A hint to help resolve the error.
    Any:
      oneOf:
        - type: string
        - type: number
        - type: boolean
        - type: object
          additionalProperties: true
        - type: array
  responses:
    BadRequest:
      description: The request was malformed or invalid.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Unauthorized:
      description: Authentication is required to access this resource.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Forbidden:
      description: Access to this resource is forbidden.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    NotFound:
      description: The requested resource was not found.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Conflict:
      description: Conflict
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    InternalServerError:
      description: An unexpected error occurred on the server.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: X-Api-Key
      description: >
        An API key that grants access to the Connect API. You can create and
        manage API keys in the portal.
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >
        Bearer authentication with JWT tokens is used to authenticate users.


        Do note that a valid API keys is also required to access the Connect API
        to prove that requests are made by a trusted party.


        Requests with a JWT token is scoped to the permissions of the user the
        token belongs to, regardless of the API key used.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.